#include	"string.h"

/*
 *	Some helper string functions
 */

/*
 *	Same as Posix strrchr
 */
char *strrchr(const char *s, int c)
{
	const char	*p;

	for (p = 0 ; *s != '\0'; s++) {
		if (*s == c)
			p = s;		/* remember it */
	}
	return ((char *)p);		/* suppress const loss warning */
}

/*
 *	Same as Posix strcpy
 */
char *strcpy(char *dest, const char *src)
{
	char		*d = dest;

	while ((*d++ = *src++) != '\0')
		;
	return (dest);
}
